# Inquiry Balance

This service used by user/partner for to check remaining balance of registered user/partner accounts, use this relative URL for generate signature :

* Relative URL : **/account/api/balance\_inquiry/< va\_partner >**

And also need to create **signature** and use **request header**.

{% tabs %}
{% tab title="Response body" %}

<table><thead><tr><th width="232">Parameter</th><th width="150">Data Type</th><th width="150">M/O/C</th><th>Description</th></tr></thead><tbody><tr><td>virtual_account</td><td>Numeric</td><td>Mandatory</td><td>VA partner</td></tr><tr><td>balance</td><td>Alphanumeric</td><td>Mandatory</td><td>Balance amount</td></tr><tr><td>available_balance</td><td>Numeric</td><td>Mandatory</td><td>Available balance for transaction</td></tr><tr><td>status</td><td>Numeric</td><td>Mandatory</td><td>Status inquiry (2 = success)</td></tr><tr><td>message</td><td>Alphanumeric</td><td>Mandatory</td><td>Message description</td></tr><tr><td>response_code</td><td>Numeric (2)</td><td>Mandatory</td><td>Response code from bank (00 = success)</td></tr><tr><td>response_desc</td><td>Alphanumeric (32)</td><td>Mandatory</td><td>Response desc from bank</td></tr></tbody></table>
{% endtab %}

{% tab title="Sample response" %}

```json
{
    "virtual_account": "9920000028",
    "balance": "7897000.00",
    "available_balance": "6897000.00",
    "status": "2",
    "message": "Success",
    "response_code": "00",
    "response_desc": "success"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.faspay.co.id/merchant-integration/api-reference-1/sendme/inquiry-balance.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
